<?php
namespace Fiscal\Logic\Parametros\Exceptions;

class ExcecaoParametros extends \Fiscal\Logic\Exception
{
    private $messageName;

    public function __construct($messageName, $code = 0, \Exception $previous = null)
    {
        parent::__construct($messageName, $code, $previous);
        $this->messageName = $messageName;
    }
    /**
     * Retorna o nome da mensagem cadastrada no Setforms para esta excecao.
     *
     * @return string
     */
    public function getMessageName()
    {
        return $this->messageName;
    }

    public static function SalvarParamFilial(){
        throw new self ('msg_SalvarParamFilial');
    }

    public static function SalvarParamEmpresa(){
        throw new self ('msg_salvarParamEmpresa');
    }

    //Exceções da tela Parametrização centralizada
    public static function ExcluirVinculo(){
        throw new self ('msg_pbi00025_erro_0');
    }

    public static function JaExisteGrupoFisc(){
        throw new self ('msg_pbi00025_erro_1');
    }

    public static function InclusaoNaoPermitida(){
        throw new self ('msg_pbi00025_erro_2');
    }

    public static function ExclusaoNaoPermitida(){
        throw new self ('msg_pbi00025_erro_3');
    }

    public static function ValidaDiferencaAliquota(){
        throw new self ('msg_pbi00025_erro_4');
    }

    public static function ValidadeObrigatoria(){
        throw new self ('msg_pbi00025_erro_5');
    }

}