/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TPRF                                                     */
/* Tabela : TIPOREGFISC                                                       */
/*                                                                            */
/* Criao:                                                                   */
/* 20/09/2004 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_TPRF
BEFORE INSERT OR UPDATE OR DELETE
ON TIPOREGFISC FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTPRF := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATUTPRF := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TIPOREGFISC', '', 'CDTPREGFISC='||:OLD.CDTPREGFISC||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TIPOREGFISC MODIFY DTULTATUTPRF DEFAULT SYSDATE
/
